/*************************************************************
 *                 bbomberman                                *
 *  (c) 2004 by Bernhard Eder (bb-generation)                *
 *  http://bbgen.net/bomberman for updates                   *
 *  Webmaster@bbgen.net for bug reports and other stuff      *
 * --------------------------------------------------------- *
 * This program is free software; you can modify it under    *
 * the terms of the GNU General Public License as published  *
 * by the Free Software Foundation, located in LICENSE       *
 *                                                           *
 *************************************************************/
 
#ifndef SETTINGS_H
#define SETTINGS_H

#include <iostream>
#include <SDL/SDL.h>
#include <string>
#include <SDL/SDL_image.h>
#include <vector>
#include <fstream>
#include <sstream>



class cl_settings
{
  friend class cl_game;
  public:
    cl_settings(void);
  protected:
//bk[bomberman][key] 0left, 1right, 2up, 3down,4bomb
    SDLKey bk[4][5];
  private:
    void ReadSettings(void);
    bool LoadDefaultSettings(void);
    void SetWrite(std::ofstream& Settings, const char stwrite[]);
    void ParseLine(std::string PLine, const unsigned line);
    bool bislocal[4]; //TRUE if the bomberman[x] is a local player
    std::string bname[4];
};

#endif
